comedi_get_cmd_generic_timed
Prev | 5.4.2. Asynchronous commands | Next

## Name

comedi_get_cmd_generic_timed — streaming input/output capabilities

## Synopsis

    #include <comedilib.h>

`int comedi_get_cmd_generic_timed(` | comedi_t * device,
| unsigned int subdevice,
| comedi_cmd * command,
| unsigned int chanlist_len,
| unsigned int scan_period_ns`)`;

## Description

The command capabilities of the subdevice indicated by the parameters `device` and `subdevice` are probed, and the results placed in the command structure pointed to by the parameter `command`. The command structure pointed to by `command` is modified to be a valid command that can be used as a parameter to `comedi_command` (after the command has additionally been assigned a valid `chanlist` array). The command measures scans consisting of `chanlist_len` channels at a scan rate that corresponds to a period of `scan_period_ns` nanoseconds. The rate is adjusted to a rate that the device can handle.

## Return value

On success, `0` is returned. On failure, `-1` is returned.

Prev | Up | Next
comedi_get_buffer_size | Home | comedi_get_cmd_src_mask